Subject: [MEDIACTRL] ISSUE 2 - IVR Package - URI authentication

From: "McGlashan, Scott" <[email-masked]>
Date: Tue, 24 Aug 2010 15:56:53 +0000

Hi All,

As part of our IESG review of the IVR package the following issue has been identified:

2) Use of authentication information in URIs in the "src" attribute (in multiple
sectons):

E.g. in Section 4.2.1:

   src:  specifies the location of an external dialog document to
      prepare.  A valid value is a URI (see Section 4.6.9) including
      authentication information if defined by the URI scheme (e.g.
      basic access authentication in HTTP).

Is this supposed to include the password as well?
If yes, how can this be represented in URIs?
If not, where is this information coming from?

We added the text about authentication information in URIs to support a mailing list request to allow the MS to authenticate itself to a resource server.  If I remember correctly, this was to allow URIs like

http://<user>:<password>@example.com/resourcepath<http://<user>:<password>@example.com/path>…

Re-reading the URI RFC 3986 – which the spec references normatively, the RFC says

authority   = [ userinfo "@" ] host [ ":" port ]

The userinfo subcomponent may consist of a user name and, optionally, scheme-specific information about how to gain authorization to access the resource. The user information, if present, is followed by a commercial at-sign ("@") that delimits it from the host.

      userinfo    = *( unreserved / pct-encoded / sub-delims / ":" )

Use of the format "user:password" in the userinfo field is deprecated. … The passing of authentication information in clear text has proven to be a security risk in almost every case where it has been used.

So specifying the user name is ok, including the password is not.

Our proposal is to clarify this wording  (across the spec) so that reference to authentication information is removed: I.e.

        A valid value is a URI (see Section 4.6.9).

This would still allow the user name and scheme-specific information to be specified as per RFC 3986. Note that if we accept that HTTP/HTTPS is mandatory (see email on IVR ISSUE 1), then there will also be text to clarify that the MS MUST support HTTP and HTTPS schemes and MAY support other schemes. The HTTPS schemes would allow for secure authentication of the MS towards a resource server.

Let us know if you have any comment on, or objections to, this proposed change.

thanks

Scott

---

From: Lorenzo Miniero <[email-masked]>
Date: Thu, 26 Aug 2010 11:52:08 +0200

It looks like a reasonable modification to me, considering it doesn't add any new attribute but clarifies how to use the existing one correctly.

L.

On Tue, 24 Aug 2010 15:56:53 +0000
"McGlashan, Scott" <[email-masked]> wrote:

> _______________________________________________
> MEDIACTRL mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mediactrl
> Supplemental Web Site:
> http://www.standardstrack.com/ietf/mediactrl
> 

-- 
Lorenzo Miniero <[email-masked]>

---

From: Stéphane Bastien <[email-masked]>
Date: Thu, 26 Aug 2010 05:09:47 -0700

Agreed. We already keep passwords out of XML messages for security reasons.